Description

Activity shows 30 days of project activities by default. But I think it is better to use a smaller value as a default value for the following

reasons:

The cost to render the activity page is expensive. It will take a long time to render 30 days of activities if there are a lot of

updates

Activity page is used to understand recent updates. I think 7 days per page is enough for the purpose. Activities of 20 days or 30

days ago is not always necessary

diff --git a/config/settings.yml b/config/settings.yml

index d345a4cfa..a56911aa7 100644

--- a/config/settings.yml

+++ b/config/settings.yml

@@ -75,7 +75,7 @@ issues_export_limit:

   default: 500

 activity_days_default:

   format: int

-  default: 30

+  default: 7

 per_page_options:

   default: '25,50,100'

 search_results_per_page:

Associated revisions

Revision 20786 - 2021-03-14 13:12 - Go MAEDA

Change the default value for "Days displayed on project activity" setting to 10 (#32248).

Patch by Go MAEDA.

History

#1 - 2019-10-30 10:48 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2020-04-30 16:09 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#3 - 2021-03-12 10:16 - Go MAEDA

Probably 7 days is a little short. For example, the information displayed on the Activity screen on Monday is the information from last Tuesday

onwards, not the information from last Monday.

I think 10 days is better than 7 days.

diff --git a/config/settings.yml b/config/settings.yml

index 83685a04a..e470aeaa5 100644

--- a/config/settings.yml

+++ b/config/settings.yml

@@ -85,7 +85,7 @@ issues_export_limit:
   default: 500

 activity_days_default:

   format: int

-  default: 30

+  default: 10

 per_page_options:

   default: '25,50,100'

 search_results_per_page:

#4 - 2021-03-14 13:13 - Go MAEDA

- Subject changed from Change the default value for "Days displayed on project activity" setting to Change the default value for "Days displayed on

project activity" setting to 10

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.
